/* この CSS は menu-new ページの block_editor 用に使用しています */
.block_editor {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 14px;
  line-height: 1.75;
  letter-spacing: 0.02em;
  color: #000;
  word-break: break-word;
  text-align: left;
}

.block_editor p {
  margin-bottom: 1.5em;
  line-height: 2;
}

.block_editor li {
  line-height: 1.75;
}

.block_editor li:last-child {
  margin-bottom: 0;
}

.block_editor h1,
.block_editor h2,
.block_editor h3,
.block_editor h4,
.block_editor h5,
.block_editor h6 {
  line-height: 1.4;
  letter-spacing: 0.05em;
  padding-inline-start: 0.05em;
  margin-top: 3em;
  margin-bottom: 1em;
}

.block_editor h1 {
  font-size: 3rem;
}

.block_editor h2 {
  font-size: 2.4rem;
}

.block_editor h3 {
  font-size: 1.6rem;
}

.block_editor h4 {
  font-size: 1.5rem;
}

.block_editor h5 {
  font-size: 1.2rem;
}

.block_editor h6 {
  font-size: 1rem;
}

@media screen and (max-width: 768px) {
  .block_editor h1 {
    font-size: 2.4rem;
  }

  .block_editor h2 {
    font-size: 1.8rem;
  }

  .block_editor h3 {
    font-size: 1.4rem;
  }

  .block_editor h4 {
    font-size: 1.3rem;
  }

  .block_editor h5 {
    font-size: 1.1rem;
  }

  .block_editor h6 {
    font-size: 0.9rem;
  }
}

h1.has-background,
h2.has-background,
h3.has-background,
h4.has-background,
h5.has-background,
h6.has-background .block_editor a {
  padding: 0.4em;
}

.block_editor ul,
.block_editor ol {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
  margin: 2em 0;
  padding-left: 0;
}

.block_editor ul {
  list-style: none;
}

.block_editor ul > li {
  position: relative;
  padding-left: 1.2em;
}

.block_editor ul > li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.85em;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background: #999;
}

.block_editor ul > li > ul > li::before {
  background: transparent;
  border: 1px solid #999;
}

.block_editor ul > li > ul > li > ul > li::before {
  border-radius: 0;
  background: #999;
  border: none;
  width: 5px;
  height: 5px;
}

.block_editor ol {
  list-style: none;
  counter-reset: ol-counter;
}

.block_editor ol > li {
  position: relative;
  padding-left: 1.8em;
  counter-increment: ol-counter;
}

.block_editor ol > li::before {
  content: counter(ol-counter);
  position: absolute;
  left: 0;
  top: 0.45em;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 1.4em;
  height: 1.4em;
  font-size: 0.75em;
  font-weight: 600;
  line-height: 1;
  color: #fff;
  background: #999;
  border-radius: 50%;
}

.block_editor em {
  font-style: normal;
  font-size: clamp(12px, 0.6em, 2em);
  color: #555;
}

.block_editor strong {
  font-weight: bold;
}

.block_editor blockquote {
  margin: 1.5em 0;
  padding-left: 1.2em;
  border-left: 4px solid rgba(0, 0, 0, 0.08);
}

.block_editor hr {
  margin: 5rem auto;
  border-top: 1px solid #666;
  width: 40px;
}
